import pickle
#manejo el cargado y guardado de archivo

def Load():
	''' Devuelve una lista de duplas. Cada dupla tiene
	en el primer valor, un entero con el puntaje del jugador
	y en el segundo valor, una string con el nombre del jugador'''
	f = open("scores.rlf",'r')
	try:
		scores = pickle.load(f)
		return scores
	except:
		return []

def Save(player,point):
	'''Usage: Save(string, int). Guarda en el archivo el score del jugador'''
	list = Load()
	list.append((point,player))
	list.sort()
	list.reverse()
	if len(list) > 10:
		list = list[0:9]
	f = open("scores.rlf",'w')
	pickle.dump(list,f)

def is_highscore(score):
	scores = Load()
	if not len(scores) or len(scores) < 10:
		return True
	return score > scores[-1][0]

#INTERNAL USE ONLY!
def Clear():
	f = open("scores.rlf",'w')
	pickle.dump([],f)