import pygame

biblio = {}

color = {'white': (255,255,255), 'red': (255,0,0), 'black': (0,0,0), 'transparent': (0,0,0,0)}

def init():
	f = open('list_images.txt')
	for linea in f.read().split('\n'):
		if linea:
			biblio[linea] = pygame.image.load(linea)
			
	f.close()
	f = open('list_sounds.txt')
	for linea in f.read().split('\n'):
		if linea:
			biblio[linea] = pygame.mixer.Sound(linea)
	f.close()
	return True

def load(file):
	a = None
	try:
		a = biblio[file]
	except:
		raise RuntimeError('File "'+file+'" not preloaded. Maybe add it to the list?')
	return a
	
if __name__ == '__main__':
	pygame.init()
	pygame.mixer.init(44100,-16,2,1024) #inicializa el sonido
	init()