import pygame
import resourcer

class scene:
	def __init__(self, callback, surface):
		def newcallback():
			self.me_looping = False
			callback()
		self.me_looping = True
		self.callback = newcallback
		self.surface = surface
		while self.me_looping:
			self.loop()
	
	def draw(self):
		for surface in self.surfaces:
			self.surface.blit(surface, (0,0))
	
	def mouse_click(self, (x, y)):
		self.callback()
	
	def key_pressed(self, keycode):
		self.callback()
	
	def loop(self):
		for event in pygame.event.get():
			if event.type == pygame.KEYDOWN:
				self.key_pressed(event.key)
			if event.type == pygame.MOUSEBUTTONDOWN:
				self.mouse_click(event.pos)
			if event.type == pygame.QUIT:
				self.callback()
		if self.me_looping:
			self.surface.fill(resourcer.color['black'])
			self.draw()
			pygame.display.flip()