from handler import handler
import config
import resourcer

class smoke_handler(handler):
	def __init__(self):
		self.smokes = []
		handler.__init__(self)
		#self.sound_good_smoke = resourcer.load('sound/smoke_good.ogg')
		#self.sound_bad_smoke = resourcer.load('sound/smoke_bad.ogg')
	
	def process_shot(self, shots, bullet_color):
		for shot in shots:
			if bullet_color == 'golden' or shot['color'] == 'golden' or shot['color'] == bullet_color:
				self.smokes.append([
					resourcer.load('img/bang'+shot['color']+'.png'),
					shot['position'],
					config.SMOKE_TIME
				])
				#self.sound_good_smoke.play()
			else:
				self.smokes.append([
					resourcer.load('img/pshhf.png'),
					shot['position'],
					config.SMOKE_TIME,
				])
				#self.sound_bad_smoke.play()

	def timer(self, ticks):
		for smoke in self.smokes:
			smoke[2] -= ticks
			if smoke[2] < 0:
				self.smokes.remove(smoke)
	
	def draw(self, screen):
		for smoke in self.smokes:
			screen.blit(smoke[0], smoke[1])
	
	def events(self, events):
		pass