import math

def linear(x):
	def lin(y):
		return (y*x, 0)
	return lin

def cuadratic(x, y):
	def cuad(z):
		return (-x+x*z, -y+z*z*y)
	return cuad

def circular(x):
	def c(y):
		return (x*math.sin(math.pi*y), x*math.cos(math.pi*y))
	return c

def jumper(z):
	return cuadratic(z, 3*z)
	
def fuzzy(x, y, fuzzines):
	'''Mueve al bicho para los costaditos, fuzzynes tiene que ser chico (< 1)'''
	def fux(l):
		return (x*math.cos(math.pi*float(l)/float(fuzzines)),
			y*math.cos(math.pi*float(l)/float(fuzzines)))
	return fux

def golden_movement(l):
	return (l*400, math.sin(math.pi*l)*60)